interface Uint64Type {
    toString(): string;
    lower: number;
    higher: number;
    value: number;
}
declare type ReqNumber = number | string | Uint64Type;
declare type RespNumber = number | Uint64Type;
declare type WrapperReqNumber<T> = T extends number ? ReqNumber : T extends number[] ? ReqNumber[] : T;
declare type WrapperRespNumber<T> = T extends number ? RespNumber : T extends number[] ? RespNumber[] : T;
declare type WrapperRequest<P extends {
    [key: string]: any;
}> = {
    [key in Exclude<keyof P, 'Base'>]: WrapperReqNumber<P[key]>;
} & {
    [key in 'Base']?: P['Base'];
};
declare type WrapperResponse<P> = {
    [key in keyof P]: WrapperRespNumber<P[key]>;
};
declare type WrapperInterface<T> = T extends (req: infer Q) => Promise<infer R> ? (req: WrapperRequest<Q>) => Promise<WrapperResponse<R>> : T;
declare type WrapperService<T> = {
    [K in keyof T]: WrapperInterface<T[K]>;
};
